## pd-readanysf 0.42

=== Makefile ===
# Edit these two variables to suit your system.
# You need both gavl and gmerlin_avdec libs to compile
#
GAVLPATH=/usr/local/include
PDPATH=/usr/local/include


VERSION=0.42
UNAME := $(shell uname)

ifeq ($(UNAME), Linux)
TARGET=pd_linux
else
# assume darwin here
GAVLPATH=/sw/include
PDPATH=/Applications/Pd-extended.app/Contents/Resources/include/
TARGET=pd_darwin
endif

##############################################
LBITS := $(shell getconf LONG_BIT)
ifeq ($(LBITS),64)
   # do 64 bit stuff here, like set some CFLAGS
CFLAGS =  -fPIC -I./  -I$(GAVLPATH) -I$(GAVLPATH)/gavl -I$(GAVLPATH)/gmerlin -I$(PDPATH) -Wall
else
   # do 32 bit stuff here
CFLAGS =  -I./  -I$(GAVLPATH)  -I$(GAVLPATH)/gavl -I$(GAVLPATH)/gmerlin -I$(PDPATH) -Wall
endif


ifeq ($(UNAME), Linux)
STRIP=strip --strip-unneeded
# optimizations?
#CFLAGS += -O1 -funroll-loops -fomit-frame-pointer \
#    -Wall -W -Wshadow \
#    -Wno-unused -Wno-parentheses -Wno-switch
LDFLAGS =  -L/usr/local/lib -lpthread  -lgavl -lgmerlin_avdec 
else
# assume darwin here
STRIP=strip -x
CFLAGS += -I/sw/include -fast -fPIC
LDFLAGS = -bundle -undefined dynamic_lookup -L/sw/lib -lgavl -lgmerlin_avdec
#LDFLAGS += -bundle -bundle_loader $(pd_src)/bin/pd -undefined dynamic_lookup \
#		-L/sw/lib -weak_framework Carbon -lc -L/sw/lib -lgavl -lgmerlin_avdec  
# os 10.4
#CFLAGS += -mmacosx-version-min=10.4  -arch i386  -isysroot /Developer/SDKs/MacOSX10.4u.sdk 
#LDFLAGS =  -L/sw/lib -lgavl -lgmerlin_avdec \
#        -dynamiclib -undefined dynamic_lookup  -lsupc++ -mmacosx-version-min=10.4 \
#        -lSystem.B -arch i386  -isysroot /Developer/SDKs/MacOSX10.4u.sdk 
endif




all: $(TARGET) 

pd_linux: src/readanysf~.cpp  objs/FifoVideoFrames.o objs/FifoAudioFrames.o objs/ReadMedia.o
	g++  -shared  -o  readanysf~.pd_linux  $(CFLAGS) $(LDFLAGS) \
	src/readanysf~.cpp \
	objs/FifoAudioFrames.o \
	objs/FifoVideoFrames.o \
	objs/ReadMedia.o 
	$(STRIP) readanysf~.pd_linux

pd_darwin: src/readanysf~.cpp  objs/FifoVideoFrames.o objs/FifoAudioFrames.o objs/ReadMedia.o
	g++  $(LDFLAGS)  -o  readanysf~.pd_darwin  $(CFLAGS)  \
	src/readanysf~.cpp \
	objs/FifoAudioFrames.o \
	objs/FifoVideoFrames.o \
	objs/ReadMedia.o 
	$(STRIP) readanysf~.pd_darwin
	mkdir -p readanysf~$(VERSION)_MacOSX-Intel
	mkdir -p readanysf~$(VERSION)_MacOSX-Intel/readanysf~
	cp readanysf~.pd_darwin readanysf~-help.pd readanysf~$(VERSION)_MacOSX-Intel/readanysf~
	cp READMEmacpkg.txt anysndfiler.pd readanysf~$(VERSION)_MacOSX-Intel/
	mv readanysf~$(VERSION)_MacOSX-Intel/READMEmacpkg.txt readanysf~$(VERSION)_MacOSX-Intel/README.txt
	./embed-MacOSX-dependencies.sh readanysf~$(VERSION)_MacOSX-Intel/readanysf~
	tar -cvf readanysf~$(VERSION)_MacOSX-Intel.tar readanysf~$(VERSION)_MacOSX-Intel/
	gzip readanysf~$(VERSION)_MacOSX-Intel.tar

objs/ReadMedia.o: src/ReadMedia.cpp src/ReadMedia.h objs/FifoAudioFrames.o objs/FifoVideoFrames.o
	g++  -c -o objs/ReadMedia.o src/ReadMedia.cpp $(CFLAGS)

objs/FifoAudioFrames.o: src/FifoAudioFrames.cpp src/FifoAudioFrames.h 
	g++  -c -o objs/FifoAudioFrames.o src/FifoAudioFrames.cpp $(CFLAGS)

objs/FifoVideoFrames.o: src/FifoVideoFrames.cpp src/FifoVideoFrames.h 
	g++  -c -o objs/FifoVideoFrames.o src/FifoVideoFrames.cpp $(CFLAGS)

clean:
	if [ -d readanysf~$(VERSION)_MacOSX-Intel ]; then rm -rf readanysf~$(VERSION)_MacOSX-Intel; fi; 
	if [ -f readanysf~$(VERSION)_MacOSX-Intel.tar.gz ]; then rm -rf readanysf~$(VERSION)_MacOSX-Intel.tar.gz; fi; 
	rm -f objs/*.o readanysf~.pd_*

=== debian/changelog ===
pd-readanysf (0.42-1) unstable; urgency=low

  [ Roman Haefeli ]
  * Initial release (Closes: #598388)
  * do manual install, since the provided Makefile doesn't have a
    'install' target

  [ IOhannes m zmölnig ]
  * updated debian/copyright
  * patch for missing objs/ directory
  * renamed CFLAGS to protect them from being overwritten
  * patch to always use -fPIC
  * patch for proper OS-detection

  [ Alessandro Ghedini ]
  * add debian/watch file

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Thu, 10 Feb 2011 14:25:57 +0100

=== debian/control ===
Source: pd-readanysf
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 cdbs (>= 0.4.91~),
 devscripts (>= 2.10.7~),
 libgmerlin-avdec-dev,
 libgavl-dev,
 puredata
Standards-Version: 3.9.1
Section: sound
Homepage: http://aug.ment.org/readanysf/
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-readanysf
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-readanysf.git;a=summary

Package: pd-readanysf
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 pd
Description: A Pd external for reading multiple audio file formats
 This Pure Data object supports reading from disk as well as from web-
 resources and decodes a huge variety of audio codecs. Sources with multiple
 channels and sampling rates different from Pd's can be played back as well.
 .
 Check the help-patch for more usage information.

## pd-readanysf 0.43

=== Makefile ===
# Edit these two variables to suit your system.
# You need both gavl and gmerlin_avdec libs to compile

GAVLPREFIX=/usr/local
#GAVLPREFIX=/opt/gmerlin
PD_INCLUDES=/usr/include


# SHOULDN'T REALLY NEED TO EDIT BELOW HERE

VERSION=0.43

UNAME := $(shell uname)
ifneq ($(UNAME), Darwin)
# simplistic approach to handle Debians non-linux architectures (kFreeBSD,
# kHurd) the same as linux
UNAME=Linux
endif

ifeq ($(UNAME), Linux)
TARGET=pd_linux
STRIP=strip --strip-unneeded
PD_LDFLAGS =  -L$(GAVLPREFIX)/lib  -lgavl -lgmerlin_avdec -lpthread 
GAVLPATH=$(GAVLPREFIX)/include
CXXFLAGS=-Wall
PD_CXXFLAGS =  -I./  -I$(GAVLPATH) -I$(GAVLPATH)/gavl -I$(GAVLPATH)/gmerlin -I$(PD_INCLUDES)
else
# assume darwin here
GAVLPATH=/sw/include
PD_INCLUDES=/Applications/Pd-extended.app/Contents/Resources/include/
TARGET=pd_darwin
STRIP=strip -x
PD_CXXFLAGS =  -I./  -I$(GAVLPATH) -I$(GAVLPATH)/gavl -I$(GAVLPATH)/gmerlin -I$(PD_INCLUDES)
PD_CXXFLAGS += -I/sw/include -fast
PD_LDFLAGS = -bundle -undefined dynamic_lookup -L/sw/lib -lgavl -lgmerlin_avdec
#PD_LDFLAGS += -bundle -bundle_loader $(pd_src)/bin/pd -undefined dynamic_lookup \
#		-L/sw/lib -weak_framework Carbon -lc -L/sw/lib -lgavl -lgmerlin_avdec
# os 10.4
#PD_CXXFLAGS += -mmacosx-version-min=10.4  -arch i386  -isysroot /Developer/SDKs/MacOSX10.4u.sdk 
#PD_LDFLAGS =  -L/sw/lib -lgavl -lgmerlin_avdec \
#        -dynamiclib -undefined dynamic_lookup  -lsupc++ -mmacosx-version-min=10.4 \
#        -lSystem.B -arch i386  -isysroot /Developer/SDKs/MacOSX10.4u.sdk
endif

##############################################
PD_CXXFLAGS +=  -fPIC 

PD_CXXFLAGS += $(CXXFLAGS)
PD_LDFLAGS  += $(LDFLAGS)

all: $(TARGET) 

pd_linux: src/readanysf~.cpp  objs/FifoVideoFrames.o objs/FifoAudioFrames.o objs/ReadMedia.o
	$(CXX)  -shared  -o  readanysf~.pd_linux  $(PD_CXXFLAGS) \
	src/readanysf~.cpp \
	objs/FifoAudioFrames.o \
	objs/FifoVideoFrames.o \
	objs/ReadMedia.o \
	$(PD_LDFLAGS) 
	$(STRIP) readanysf~.pd_linux

pd_darwin: src/readanysf~.cpp  objs/FifoVideoFrames.o objs/FifoAudioFrames.o objs/ReadMedia.o
	$(CXX)   -o  readanysf~.pd_darwin  $(PD_CXXFLAGS)  \
	src/readanysf~.cpp \
	objs/FifoAudioFrames.o \
	objs/FifoVideoFrames.o \
	objs/ReadMedia.o \
	$(PD_LDFLAGS) 
	$(STRIP) readanysf~.pd_darwin
	mkdir -p readanysf~$(VERSION)_MacOSX-Intel
	mkdir -p readanysf~$(VERSION)_MacOSX-Intel/readanysf~
	cp readanysf~.pd_darwin readanysf~-help.pd readanysf~$(VERSION)_MacOSX-Intel/readanysf~
	cp READMEmacpkg.txt anysndfiler.pd readanysf~$(VERSION)_MacOSX-Intel/
	mv readanysf~$(VERSION)_MacOSX-Intel/READMEmacpkg.txt readanysf~$(VERSION)_MacOSX-Intel/README.txt
	./embed-MacOSX-dependencies.sh readanysf~$(VERSION)_MacOSX-Intel/readanysf~
	tar -cvf readanysf~$(VERSION)_MacOSX-Intel.tar readanysf~$(VERSION)_MacOSX-Intel/
	gzip readanysf~$(VERSION)_MacOSX-Intel.tar

objs/ReadMedia.o: src/ReadMedia.cpp src/ReadMedia.h objs/FifoAudioFrames.o objs/FifoVideoFrames.o objs/
	$(CXX)  -c -o objs/ReadMedia.o src/ReadMedia.cpp $(PD_CXXFLAGS)

objs/FifoAudioFrames.o: src/FifoAudioFrames.cpp src/FifoAudioFrames.h objs/
	$(CXX)  -c -o objs/FifoAudioFrames.o src/FifoAudioFrames.cpp $(PD_CXXFLAGS)

objs/FifoVideoFrames.o: src/FifoVideoFrames.cpp src/FifoVideoFrames.h objs/
	$(CXX)  -c -o objs/FifoVideoFrames.o src/FifoVideoFrames.cpp $(PD_CXXFLAGS)

clean:
	if [ -d readanysf~$(VERSION)_MacOSX-Intel ]; then rm -rf readanysf~$(VERSION)_MacOSX-Intel; fi; 
	if [ -f readanysf~$(VERSION)_MacOSX-Intel.tar.gz ]; then rm -rf readanysf~$(VERSION)_MacOSX-Intel.tar.gz; fi; 
	rm -f objs/*.o readanysf~.pd_* 
	rm -rf objs

objs/:
	mkdir $@

=== debian/changelog ===
pd-readanysf (0.43-8) unstable; urgency=medium

  * Update patch to fix FTBFS with gmerlin-avdec 2.0.0
    (Closes: #1127728)
  * Switch to dh-sequence-puredata
    + Add Provides stanza for dh-puredata
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Feb 2026 21:55:59 +0100

pd-readanysf (0.43-7) unstable; urgency=medium

  * Team Upload
  * Drop build-deps on devscripts & dh-buildinfo
  * Bump Standards-Version to 4.7.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 17:49:02 +0200

pd-readanysf (0.43-6) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Switch build-system to pd-lib-builder
    + Replace upstream build-system with pd-lib-builder
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:34:21 +0200

pd-readanysf (0.43-5) unstable; urgency=medium

  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:51:00 +0100

pd-readanysf (0.43-4) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch for gmerlin-avdec_1.2.0+svn6222
    (Closes: #1005104)
  * Pass CXXFLAGS to buildsystem
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 13 Feb 2022 18:37:07 +0100

pd-readanysf (0.43-3) unstable; urgency=medium

  * Added patch for compat with Pd>=0.49
    (Closes: #909815)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 29 Sep 2018 08:47:00 +0200

pd-readanysf (0.43-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
    * Fixed my uploader's name
  * Removed trailing whitespace in debian/*
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:35:13 +0100

pd-readanysf (0.43-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.43
    - Removed patches included upstream.
  * Versioned Build-depends on puredata-dev | puredata
  * Updated Depends to use puredata|pd
  * Fixed short description
  * Update Vcs-* stanzas
  * Updated copyright file to final DEP5 specifications
  * Bumped standards to 3.9.4

  [ Hans-Christoph Steiner ]
  * Updated Build-Depends to use puredata-dev (Closes: #629805)

  [ Felipe Sateler ]
  * Add myself to Uploaders
  * Relese to unstable

 -- Felipe Sateler <fsateler@debian.org>  Fri, 28 Jun 2013 09:44:39 -0400

=== debian/control ===
Source: pd-readanysf
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Felipe Sateler <fsateler@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
 libgavl-dev,
 libgmerlin-avdec-dev,
Standards-Version: 4.7.3
Section: sound
Homepage: http://aug.ment.org/readanysf/
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-readanysf.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-readanysf

Package: pd-readanysf
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Pd object for reading multiple audio file formats
 This Pure Data object supports reading from disk as well as from web-
 resources and decodes a huge variety of audio codecs. Sources with multiple
 channels and sampling rates different from Pd's can be played back as well.
 .
 Check the help-patch for more usage information.

=== debian/watch ===
Version: 5

Source: http://aug.ment.org/readanysf/download.php
Matching-Pattern: /software/readanysf~(\d+)\.(\d+).tar.gz
